#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCF,0x31,0x52,0xE6,0xC4,0x1A,0x37,0x50,0x7C,0x4D,0xB4,0x20,
		0x09,0x7E,0xD6,0x7A,0xAE,0xF2,0x3A,0xA8,0xC5,0xBB,0xDB,0x35,
		0x61,0x9C,0x67,0xB9,0x61,0x5A,0x9F,0xA4,0x91,0xE5,0xB4,0x2A,
		0x33,0x20,0x3D,0xE3,0xB8,0x2D,0x8E,0xDB,0x69,0xA1,0x38,0xBC,
		0xCC,0x1B,0xC5,0x0C,0xFF,0x17,0x66,0xC9,0x16,0x6B,0x2A,0xF6,
		0xB5,0xC7,0x50,0xC3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
